This folder contains all the ingredients to run a simulation or train a potential from scratch. 

input.data — stores 2235 atomic configurations of Ni, with the data format of n2p2. Atomic units are used throughout.
         The parameters of reference calculations and an overview of the included structures are described in [1]. 
input.nn — a setting file for training a NNP with N2P2 package. 
scaling.data — a file with all symmetry functions for all atoms.
weights.data — a file with training weights for an epoch with the best RMSE. 

Quick recipe for building a NNP from scratch:
Step 1:
Input: input.nn, input.data
Run: mpirun -np 4 nnp-scaling 500
Output: scaling.data
Step 2:
Input: input.nn, input.data, scaling.data
Run: mpirun -np 16 nnp-train
Output: weights.???.<epoch>
IMPORTANT: To run nnp-predict or use the potential with LAMMPS rename chosen weights.???.<epoch> to weights.data

To run a simulation with LAMMPS, put input.nn, scaling.data and weights.data (NAMING IS IMPORTANT) in one folder. Use “pair_style nnp” : 

variable nnpDir       string "../nn"
variable nnpCutoff    equal  11.2
pair_style nnp dir ${nnpDir} showew no resetew yes maxew 1000000  cflength 1.8897261328  cfenergy 0.0367493254
pair_coeff * *  ${nnpCutoff}

For more details see the documentation of N2P2 package https://compphysvienna.github.io/n2p2/index.html

[1] N. Lopanitsyna, C Ben Mahmoud, M. Ceriotti Finite-temperature materials modeling from the quantum nuclei to the hot electrons regime, https://arxiv.org/abs/2011.03874
